classification
Title: json.dump(..., skipkeys=True) has no unit tests
Type: Stage: resolved
Components: Tests Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Julian, corona10, inada.naoki, miss-islington
Priority: normal Keywords: patch

Created on 2019-08-09 21:54 by Julian, last changed 2019-08-26 07:36 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15489 merged corona10, 2019-08-25 10:54
PR 15507 merged miss-islington, 2019-08-26 07:04
PR 15508 merged miss-islington, 2019-08-26 07:04
Messages (5)
msg349317 - (view) Author: Julian Berman (Julian) * Date: 2019-08-09 21:54
Looks like there possibly are upstream tests that could be pulled in with modification:

https://github.com/simplejson/simplejson/blob/00ed20da4c0e5f0396661f73482418651ff4d8c7/simplejson/tests/test_dump.py#L53-L66

(Found via https://bitbucket.org/pypy/pypy/issues/3052/json-skipkeys-true-results-in-invalid-json)
msg350495 - (view) Author: miss-islington (miss-islington) Date: 2019-08-26 07:04
New changeset 44cd86bbdddb1f7b05deba2c1986a1e98f992429 by Miss Islington (bot) (Dong-hee Na) in branch 'master':
bpo-37805: Add tests for json.dump(..., skipkeys=True) (GH-15489)
https://github.com/python/cpython/commit/44cd86bbdddb1f7b05deba2c1986a1e98f992429
msg350504 - (view) Author: miss-islington (miss-islington) Date: 2019-08-26 07:27
New changeset a3875171d746f90f49adfcaa015525b20a3874d3 by Miss Islington (bot) in branch '3.8':
bpo-37805: Add tests for json.dump(..., skipkeys=True) (GH-15489)
https://github.com/python/cpython/commit/a3875171d746f90f49adfcaa015525b20a3874d3
msg350505 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-08-26 07:35
thanks
msg350507 - (view) Author: miss-islington (miss-islington) Date: 2019-08-26 07:36
New changeset a976283821ab73ba080da47cbe95802ce66bb0a4 by Miss Islington (bot) in branch '3.7':
bpo-37805: Add tests for json.dump(..., skipkeys=True) (GH-15489)
https://github.com/python/cpython/commit/a976283821ab73ba080da47cbe95802ce66bb0a4
History
Date User Action Args
2019-08-26 07:36:40miss-islingtonsetmessages: + msg350507
2019-08-26 07:35:17inada.naokisetstatus: open -> closed

nosy: + inada.naoki
messages: + msg350505

resolution: fixed
stage: patch review -> resolved
2019-08-26 07:27:34miss-islingtonsetmessages: + msg350504
2019-08-26 07:04:58miss-islingtonsetpull_requests: + pull_request15194
2019-08-26 07:04:46miss-islingtonsetpull_requests: + pull_request15193
2019-08-26 07:04:38miss-islingtonsetnosy: + miss-islington
messages: + msg350495
2019-08-25 11:10:43corona10setnosy: + corona10
2019-08-25 10:54:03corona10setkeywords: + patch
stage: patch review
pull_requests: + pull_request15176
2019-08-09 21:54:43Juliancreate